Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Trusted Contributor
icecappacino
Posts: 152
Registered: ‎02-12-2011
My Device: Not Specified
Accepted Solution

Eclipse Plug-in for Webworks SDK 2.2.0

Can the new version ok the SDK be integrated into ecllipse?

Please use plain text.
Trusted Contributor
icecappacino
Posts: 152
Registered: ‎02-12-2011
My Device: Not Specified

Re: Eclipse Plug-in for Webworks SDK 2.2.0

Well it looks like Blackberry won't support it. Its a shame seeing how you can get an android or iphone app compiled signed alot quick in eclipse than blackberry choosing to go back to the primitive approach of compiling and signing


...thank god for phonegap i guess :-S
Please use plain text.
BlackBerry Development Advisor
tneil
Posts: 3,708
Registered: ‎10-16-2008
My Device: Z10
My Carrier: Rogers

Re: Eclipse Plug-in for Webworks SDK 2.2.0

If you download and install the latest release of Ripple, you can build, sign and launch simulators directly from the tool without having to go to the command line.

 

https://bdsc.webapps.blackberry.com/html5/download/ripple

Tim Neil
Director, Application Platform & Tools Product Management
Follow me on Twitter
Please use plain text.
Trusted Contributor
icecappacino
Posts: 152
Registered: ‎02-12-2011
My Device: Not Specified

Re: Eclipse Plug-in for Webworks SDK 2.2.0

no sorry...this CANNOT work...i've tried...sigh
Please use plain text.
BlackBerry Development Advisor
tneil
Posts: 3,708
Registered: ‎10-16-2008
My Device: Z10
My Carrier: Rogers

Re: Eclipse Plug-in for Webworks SDK 2.2.0

What doesn't work.. The now downloadable Ripple?

Are you using the chrome plugin?
Tim Neil
Director, Application Platform & Tools Product Management
Follow me on Twitter
Please use plain text.
Trusted Contributor
icecappacino
Posts: 152
Registered: ‎02-12-2011
My Device: Not Specified

Re: Eclipse Plug-in for Webworks SDK 2.2.0

i use both....and use both phonegap and webworks...and apparently I can't use both sdks together. debugging seems sporadic at times...and i develop for OS 5
Please use plain text.
New Contributor
amplogik
Posts: 3
Registered: ‎11-07-2012
My Device: Playbook
My Carrier: Telus

Re: Eclipse Plug-in for Webworks SDK 2.2.0

Ripple is **bleep** for any serious development outside of just the html, and even that's pretty terrible compared to other editors out there.   Just try to implement mobile jquery using it, and very shortly you are pulling out your hair and screaming.   Its js capabilities are primitive.   Also, for those of us that don't live in google chrome, its a major pain in the **bleep**, as few corporate intranets support it.

Then there is the integration with phonegap.  I have to build and maintain phonegap plugins and trying to port them to BB now is a nightmare.   No more can I simply move lib files over and rebuild in the editor that I've been using for years and talks fine to all other platforms.

No, now I have to use another editor an manually manage the project from the command line, and keep track of all my builds and versioning and everything else manually.

It adds hours to ever **bleep** update and build.

Frankly, RIM Is loosing the mobile wars, and the descision to drop support for a plugin from the most common editing platform in enterprise development out there is another example of the sorts of descisions that are making the situation worse.

Making barriers to development means that some of us simply won't continue to develop for RIM devices.

Right now, every phonegap / cordova user group on the net posting how tos or lessons uses the plugin examples, which mean that junior coders are LOST.  They can't google solutions, or find proper documentation.

I really think that RIM needs to rethink this very poor decision and bring the eclipse plugin back.

Oh, and while they are at it, they need to do something about updating the dev tools to use 64bit java.   Its almost 2013, and 64 bit workstations are standard.

I've been a BB user and developer for years, and I'm rapdily running out of patience with how far behind RIM is falling, how crappy the documentation is getting, and decisions like abandoning a well used development platform  plugin in exchange for a CLI mess.

Instead of dumping the plugin, if you don't want to support it anymore, why not release the code to the community and let us update it?

Please use plain text.